package net.knarcraft.ffmpegconverter.converter.module.mapping;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import net.knarcraft.ffmpegconverter.converter.module.ConverterModule;
import net.knarcraft.ffmpegconverter.streams.StreamObject;
import net.knarcraft.ffmpegconverter.utility.FFMpegHelper;
import org.jetbrains.annotations.NotNull;

import java.util.List;

/**
 * A module for mapping all the given streams
 */
public class MapAllModule<K extends StreamObject> implements ConverterModule {

    final List<K> streams;

    /**
     * Instantiates a new map all module
     *
     * @param streams <p>The streams to map</p>
     */
    public MapAllModule(@NotNull List<K> streams) {
        this.streams = streams;
    }

    @Override
    public void addArguments(@NotNull FFMpegCommand command) {
        FFMpegHelper.mapAllStreams(command, this.streams);
    }

}
